Bug 77695 - Init display problems on Toshiba Tecra 8000
Init display problems on Toshiba Tecra 8000
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-12 04:52 EST by Toralf
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-27 20:53:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toralf 2002-11-12 04:52:22 EST
Description of Problem:
The display isn't initialised properly on startup on a Toshiba Tecra 8000
laptop, when using the default setup as provided by Xconfigurator. In
particular, an external monitor reports "signal out of valid sync range" when
starting the X server on boot or after logout. It is then necessary to cycle
through the different display modes (internal, external or both) via Fn+F-key to
get a display.

To make a long story short, the problem appears to be related to 
    Option     "externDisp"
    Option     "internDisp"
which are added to XF86Config-4 by Xconfigurator. Everything works a lot better
if these are disabled. (But of course, they will be re-enabled if Xconfigurator
is executed again, which is fairly annoying.)


Version-Release number of selected component (if applicable):
4.2.0-8
(+ Xconfigurator-4.10.7-1)
Comment 1 Mike A. Harris 2002-11-12 19:11:19 EST
Does the same occur in Red Hat Linux 8.0?
Comment 2 Toralf 2002-11-22 05:28:19 EST
I don't think I'll be able to upgrade to 8.0 on this host anytime soon ;-(
Comment 3 Mike A. Harris 2003-01-26 04:37:45 EST
Defering bug report for future review.  Please feel free to reopen if the
problem persists in Red Hat Linux 'phoebe' beta release or a later official
Red Hat Linux release.
Comment 4 Mike A. Harris 2005-09-27 20:53:05 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.